public static interface EventEndpointBuilderFactory.EventBuilders
| Modifier and Type | Method and Description |
|---|---|
default EventEndpointBuilderFactory.EventEndpointBuilder |
springEvent(String path)
Spring Event (camel-spring)
Listen for Spring Application Events.
|
default EventEndpointBuilderFactory.EventEndpointBuilder |
springEvent(String componentName,
String path)
Spring Event (camel-spring)
Listen for Spring Application Events.
|
default EventEndpointBuilderFactory.EventEndpointBuilder springEvent(String path)
spring-event:name
Path parameter: name
Name of endpointpath - namedefault EventEndpointBuilderFactory.EventEndpointBuilder springEvent(String componentName, String path)
spring-event:name
Path parameter: name
Name of endpointcomponentName - to use a custom component name for the endpoint
instead of the default namepath - nameApache Camel